jQuery – Compatibilité – Utiliser jQuery avec un autre Framework javascript

Encore une fois un petit article suite à des questions que l’on me pose souvent. Aujourd’hui, comment rendre compatible jQuery avec une autre librairie javascript comme mootools ou scriptaculous, par exemple. En effet, ces librairies utilisent parfois les même éléments et notamment le fameux « $ ». En toute logique, il ne faudrait développer qu’avec un seul et unique Framework javascript, mais...

Read More

Internet Explorer 9 – PHP – Problèmes avec mon site depuis IE9

Bonjour à tous, un petit billet pour essayer de dépanner certaines personnes qui ont vu leur site ou le site de leur client malmené suite à l’apparition de IE9. En effet, IE9 apporte beaucoup de changement sur la manière de devoir confectionner les sites, mais certains changement, surtout liés au javascript peuvent entrainer de gros problèmes d’incompatibilités sur le site web. Ce site web pouvait pourtant très bien...

Read More

Passage de jQuery 1.5.x vers jQuery 1.6

Comme vous avez pu le lire sur un de mes billets précédents ou sur la toile, jQuery 1.6 est sortie. Oui, mais cette sortie fait débat et les modifications qu’elle apporte sont parfois gênantes pour tous les utilisateurs de plugins ou tous les développements conséquents liés au versions antérieures de jQuery 1.6. Si l’on résume les gros changements pouvant être cassants : En principe, les versions de jQuery issue de la même...

Read More